<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref='home'></ion-back-button>
    </ion-buttons>
    <ion-title>Fontane</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list *ngIf="listPost.length == 0 && isLoading === true" class="ion-padding custom-skeleton">
    <ion-list-header>
      <ion-skeleton-text animated style="width: 80px"></ion-skeleton-text>
    </ion-list-header>
    <ion-item *ngFor="let number of [0,1,2,3,4,5,6,7,8,9]">
      <ion-thumbnail slot="start">
        <ion-skeleton-text></ion-skeleton-text>
      </ion-thumbnail>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list *ngIf="listPost && listPost.length > 0 && isLoading === false"
            lines="full"  class='ion-padding-horizontal ion-padding-top'>
    <ion-item *ngFor="let post of listPost" detail="true" (click)="openDetails('/post/'+ post.id,post)">
      <ion-thumbnail slot="start" *ngIf="post.image" class="custom-skeleton">
        <ion-skeleton-text animated
          [ngClass]="{
   'd-none': !imageLoading,
   'd-block': imageLoading
}"
        ></ion-skeleton-text>
        <img
          [ngClass]="{
   'd-none': imageLoading,
   'd-block': !imageLoading
}" [src]="post.image | secure | async"  (load)="imageLoaded()"/>
      </ion-thumbnail>
      <ion-label>{{post.subject}}
      <p>{{post.description}}</p></ion-label>
      <ion-badge color="success" slot="end" *ngIf="post.type === 'ritiro ingombranti'">Servizio</ion-badge>
    </ion-item>
  </ion-list>
  <ion-list *ngIf="listPost.length == 0 && isLoading === false">
    <ion-list-header>
      <h3>Non ci sono segnalazioni</h3>
    </ion-list-header>
  </ion-list>

  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content
      loadingSpinner="bubbles"
      loadingText="Caricamento segnalazioni...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
